--  Copyright (C) 2001 Simon Wright.
--  All Rights Reserved.
--
--      This program is free software; you can redistribute it
--      and/or modify it under the terms of the Ada Community
--      License which comes with this Library.
--
--      This program is distributed in the hope that it will be
--      useful, but WITHOUT ANY WARRANTY; without even the implied
--      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
--      PURPOSE. See the Ada Community License for more details.
--      You should have received a copy of the Ada Community
--      License with this library, in the file named "Ada Community
--      License" or "ACL". If not, contact the author of this library
--      for a copy.
--

--  $RCSfile: bc-support-standard_storage.ads,v $
--  $Revision: 1.3 $
--  $Date: 2001/09/23 15:25:10 $
--  $Author: simon $

with System.Storage_Pools;

package BC.Support.Standard_Storage is

   type T is access Integer; -- arbitrary subtype

   Pool : System.Storage_Pools.Root_Storage_Pool'Class renames T'Storage_Pool;

end BC.Support.Standard_Storage;
